Skip to content

Updates a setting with the specified ID.

Request

This method will update an existing setting with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The updated setting that will be saved.

cancellation_confirmation_emailobject(Cancellation Confirmation Email)required
contact_role_permissionsArray of objects

The contact roles that are allowed to manage this scholarship

custom_field_valuesArray of objects(Custom Field Values)
default_ship_from_addressobject(Address)

A complete address

default_store_idstring(Default Store)

The default store

display_policies_at_checkoutboolean(Display Policies At Checkout)

If set, policies are shown to users at checkout

enable_cancellation_confirmation_emailboolean(Enable Cancellation Confirmation Email)

If set, you can enable the text of the confirmation email

enable_order_confirmation_emailboolean(Enable Order Confirmation Email)

If set, you can enable the text of the confirmation email

enable_retroactive_coupons_in_portalboolean(Enable Retroactive Coupons In Portal)

If true, users can retroactively apply coupons to orders in the portal

enable_return_confirmation_emailboolean(Enable Return Confirmation Email)

If set, you can enable the text of the confirmation email

enable_shipment_confirmation_emailboolean(Enable Shipment Confirmation Email)

If set, you can enable the text of the shipment email

notesstring(Notes)

The name of the settings

order_confirmation_emailobject(Order Confirmation Email)required
policiesobject(Policies)required
restrict_retroactive_coupons_by_time_periodboolean(Restrict Retroactive Coupons By Time Period)

If true, users in the portal can only retroactively apply coupons to orders within a certain time period

retroactive_coupon_allowed_time_periodnumber, (float)(Retroactive Coupon Allowed Time Period)required

The maximum number of a days after an order is processed that a user can retroactively apply a coupon in the portal

return_confirmation_emailobject(Return Confirmation Email)required
shipment_confirmation_emailobject(Shipment Confirmation Email)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/settings/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "cancellation_confirmation_email": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "contact_role_permissions": [
      {
        "manage_coupon_codes": true,
        "role_id": "string"
      }
    ],
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "default_ship_from_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "default_store_id": "string",
    "display_policies_at_checkout": true,
    "enable_cancellation_confirmation_email": true,
    "enable_order_confirmation_email": true,
    "enable_retroactive_coupons_in_portal": true,
    "enable_return_confirmation_email": true,
    "enable_shipment_confirmation_email": true,
    "notes": "string",
    "order_confirmation_email": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "policies": {
      "consumer_data_policy_uri": "string",
      "refund_policy_uri": "string",
      "secure_checkout_policy_uri": "string",
      "terms_of_service_uri": "string"
    },
    "restrict_retroactive_coupons_by_time_period": true,
    "retroactive_coupon_allowed_time_period": 0.1,
    "return_confirmation_email": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "shipment_confirmation_email": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The setting was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
cancellation_confirmation_emailobject(Cancellation Confirmation Email)required
contact_role_permissionsArray of objects

The contact roles that are allowed to manage this scholarship

custom_field_valuesArray of objects(Custom Field Values)
default_ship_from_addressobject(Address)

A complete address

default_store_idstring(Default Store)

The default store

display_policies_at_checkoutboolean(Display Policies At Checkout)

If set, policies are shown to users at checkout

enable_cancellation_confirmation_emailboolean(Enable Cancellation Confirmation Email)

If set, you can enable the text of the confirmation email

enable_order_confirmation_emailboolean(Enable Order Confirmation Email)

If set, you can enable the text of the confirmation email

enable_retroactive_coupons_in_portalboolean(Enable Retroactive Coupons In Portal)

If true, users can retroactively apply coupons to orders in the portal

enable_return_confirmation_emailboolean(Enable Return Confirmation Email)

If set, you can enable the text of the confirmation email

enable_shipment_confirmation_emailboolean(Enable Shipment Confirmation Email)

If set, you can enable the text of the shipment email

notesstring(Notes)

The name of the settings

order_confirmation_emailobject(Order Confirmation Email)required
policiesobject(Policies)required
restrict_retroactive_coupons_by_time_periodboolean(Restrict Retroactive Coupons By Time Period)

If true, users in the portal can only retroactively apply coupons to orders within a certain time period

retroactive_coupon_allowed_time_periodnumber, (float)(Retroactive Coupon Allowed Time Period)required

The maximum number of a days after an order is processed that a user can retroactively apply a coupon in the portal

return_confirmation_emailobject(Return Confirmation Email)required
shipment_confirmation_emailobject(Shipment Confirmation Email)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "cancellation_confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "contact_role_permissions": [ { … } ], "custom_field_values": [ { … } ], "default_ship_from_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "default_store_id": "string", "display_policies_at_checkout": true, "enable_cancellation_confirmation_email": true, "enable_order_confirmation_email": true, "enable_retroactive_coupons_in_portal": true, "enable_return_confirmation_email": true, "enable_shipment_confirmation_email": true, "notes": "string", "order_confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "policies": { "consumer_data_policy_uri": "string", "refund_policy_uri": "string", "secure_checkout_policy_uri": "string", "terms_of_service_uri": "string" }, "restrict_retroactive_coupons_by_time_period": true, "retroactive_coupon_allowed_time_period": 0.1, "return_confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "shipment_confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }